# Disable running the test suite by default
%bcond_with tests

Name:          greenmail
Version:       1.3.1b
Release:       4%{?dist}
Summary:       Suite of email servers for testing purposes
License:       ASL 2.0
URL:           http://www.icegreen.com/greenmail
# FPC bundling exception: https://fedorahosted.org/fpc/ticket/392
Source0:       http://sourceforge.net/projects/greenmail/files/%{name}/%{version}/%{name}-%{version}-src.zip
Source1:       http://sourceforge.net/p/greenmail/code/HEAD/tree/branches/1.3/license.txt
Source2:       http://repo1.maven.org/maven2/com/icegreen/%{name}/%{version}/%{name}-%{version}.pom
# e-mail clearing up licensing issues
Source3:       %{name}-license-confusion.eml
BuildArch:     noarch

BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: java-devel
BuildRequires: javapackages-local
BuildRequires: mvn(javax.mail:mail)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-api)
BuildRequires: mvn(org.slf4j:slf4j-simple)

%description
GreenMail is an intuitive and easy-to-use test suite of email servers for
testing purposes.  It supports SMTP, POP3, IMAP with SSL socket support.
GreenMail also provides a JBoss GreenMail Service.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -qc %{name}-%{version}
find -name *.jar -delete

install -m 0644 %{SOURCE1} LICENSE

build-jar-repository lib javamail junit slf4j/slf4j-api slf4j/slf4j-simple

sed -i 's|source="1.4"|source="1.6" target="1.6"|' build.xml

sed -i 's/\r//' stylesheet.css

%build
ant all
install %{SOURCE3} .

%install
%mvn_artifact %{SOURCE2} build/lib/%{name}-%{version}.jar
%mvn_file com.icegreen:%{name} %{name}
%mvn_install -J build/javadocs


%if %{with tests}
%check
ant test
%endif

%files -f .mfiles
%doc *.html stylesheet.css
%license LICENSE %{name}-license-confusion.eml

%files javadoc -f .mfiles-javadoc
%license LICENSE %{name}-license-confusion.eml

%changelog
* Tue Mar 03 2015 gil cattaneo <puntogil@libero.it> 1.3.1b-4
- fix doc

* Tue Mar 03 2015 gil cattaneo <puntogil@libero.it> 1.3.1b-3
- introduce license macro
- use newer javapackages macros
- use javac source/target 1.6
- fix BR list

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1b-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jan 30 2014 Robert Rati <rrati@redhat> - 1.3.1b-1
- Initial packaging
